--- title: "Create workspace" slug: "maiu-create-workspaces" updated: 2026-09-17T10:12:43Z published: 2026-09-17T10:12:43Z canonical: "api.ncloud-docs.com/maiu-create-workspaces" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create workspace Available in VPC Create a new workspace. A workspace is a separate, independent work area where you can manage projects and media assets. Note You can create as many workspaces as your account allows. If you exceed the allowed limit, an error will be returned. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/workspaces | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspaceName` | String | Required | Name of the workspace to create - Workspace names can't be duplicated. - Length limit: 3-63 characters - Only lowercase English letters, numbers, and `-` are allowed. | | `bucketName` | String | Optional | Name of Object Storage bucket to integrate | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "workspaceName": "my-workspace", "bucketName": "my-bucket" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Workspace details | | `result.workspaceName` | String | - | Created workspace name | | `result.createdUserName` | String | - | Creator name | | `result.createdTime` | String | - | Creation date and time - ISO 8601 format | | `result.updatedUserName` | String | - | Modifier name | | `result.updatedTime` | String | - | Modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "workspaceName": "my-workspace", "createdUserName": "username", "createdTime": "2026-03-18T10:30:00", "updatedUserName": "username", "updatedTime": "2026-03-18T10:30:00" } } ```